Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » SVNkit plug-ins
SVNkit plug-ins [message #27742] Fri, 01 August 2008 09:54 Go to next message
Achim Demelt is currently offline Achim Demelt
Messages: 160
Registered: July 2009
Senior Member
Hi,

I have a question about why you're bundling the SVNkit libraries as a JAR
file within your SVNkit connector bundle, and not use the Eclipse plug-ins
provided on svnkit.com?

I'm currently having a problem with a concurrency bug in the SVNkit
libraries that is already fixed in the latest SVNkit 1.2.x versions. The
problem is: I can't upgrade the libraries since I have to use the one
packaged in your connector. If SVNkit were a regular plug-in, I could
easily upgrade.

Is there a chance you might use plug-ins instead of packaged JAR files for
SVNkit?

Regards,
Achim
Re: SVNkit plug-ins [message #27800 is a reply to message #27742] Fri, 01 August 2008 10:23 Go to previous messageGo to next message
Eclipse User
Originally posted by: alexander.gurov.polarion.org

Hello Achim,


> I'm currently having a problem with a concurrency bug in the SVNkit
> libraries that is already fixed in the latest SVNkit 1.2.x versions.
The latest official SVN Kit 1.2.0 build (Beta 4) is already included into
the Subversive distribution. So, you can update your Subversive build from
the weekly update sites.

> I have a question about why you're bundling the SVNkit libraries as a JAR
> file within your SVNkit connector bundle, and not use the Eclipse plug-ins
> provided on svnkit.com?
Because we have modified SVN Kit plug-in in order to provide: proxy
configuration support, direct management of a repository credentials,
improve refactoring support and some other changes.

> Is there a chance you might use plug-ins instead of packaged JAR files for
> SVNkit?
Yes it is the way we wants to go. We already sent a patch with our changes
to the SVN Kit authors but not all of these changes are already applied to
the standard SVN Kit distribution. So, I hope one of future Subversive
versions will use standard SVN Kit distribution.
Re: SVNkit plug-ins [message #27919 is a reply to message #27800] Fri, 01 August 2008 11:00 Go to previous message
Achim Demelt is currently offline Achim Demelt
Messages: 160
Registered: July 2009
Senior Member
Hi Alexander,

That's good news :-)

Thank you,
Achim

Alexander Gurov wrote:

> Hello Achim,
>
>
>> I'm currently having a problem with a concurrency bug in the SVNkit
>> libraries that is already fixed in the latest SVNkit 1.2.x versions.
> The latest official SVN Kit 1.2.0 build (Beta 4) is already included into
> the Subversive distribution. So, you can update your Subversive build from
> the weekly update sites.
>
>> I have a question about why you're bundling the SVNkit libraries as a JAR
>> file within your SVNkit connector bundle, and not use the Eclipse
>> plug-ins provided on svnkit.com?
> Because we have modified SVN Kit plug-in in order to provide: proxy
> configuration support, direct management of a repository credentials,
> improve refactoring support and some other changes.
>
>> Is there a chance you might use plug-ins instead of packaged JAR files
>> for SVNkit?
> Yes it is the way we wants to go. We already sent a patch with our changes
> to the SVN Kit authors but not all of these changes are already applied to
> the standard SVN Kit distribution. So, I hope one of future Subversive
> versions will use standard SVN Kit distribution.
Previous Topic:Problems with weekly build SVN Team Provider 0.7.1.I20080728-150
Next Topic:Ignored Resources ignored?
Goto Forum:
  


Current Time: Fri Sep 19 05:53:41 GMT 2014

Powered by FUDForum. Page generated in 0.01806 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software